Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryWriteAll

writes to a binary file from all MPI processes, each rank writes its own portion of the data

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWriteAll(PetscViewer viewer, const void *data, PetscCount count, PetscCount start, PetscCount total, PetscDataType dtype)

Collective; No Fortran Support

## Input Parameters

- viewer - the `PETSCVIEWERBINARY` viewer

- data - location of data

- count - local number of items of data to write, treated as an array of type indicated by `dtype`

- start - local start, can be `PETSC_DETERMINE`

- total - global number of items of data to write, can be `PETSC_DETERMINE`

- dtype - type of data to write

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinarySetUseMPIIO()`, `PetscViewerBinaryReadAll()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages